IRCII(1L)

NAME
ircII - interface to the Internet Relay Chat system

SYNOPSIS
irc [-c chan] [-p portno] [-f] [-F] [-s] [-S] [-d] [nickname [server list]] [-l filename ] [-L filename ] [-a] [-v] [-q]

DESCRIPTION
The ircII program is a full screen, termcap based interface to Internet Relay Chat. It gives full access to all of the normal IRC functions, plus a variety of additional options.

OPTIONS

-c chan
    Automatically join channel chan .

-p portno
    Set the port number to portno (default: 6667, the standard IRC port). Only supply this if you connect to a server which uses a port other than 6667.

-f  Use flow control (^S and ^Q) to stop/start the display. Normally these are both bound to other functions within irc. This switch is ignored if the -d switch is used.

-F  Don't use flow control (^S and ^Q) to stop start the display. This switch is ignored if the -d switch is used.

-s  Don't start up the ircio process to connect to the IRC server (default).

-S  Start up the ircio process to connect to the IRC server.

-d  Start in "dumb" mode. All input is taken directly from stdin and all output goes to stdout without using any of the termcap(5) screen control codes.

nickname
    Set the nickname (overrides the environment variable IRCNICK; default: the username).

server
    Set the list of servers with which irc will try to connect upon startup. This list is also used by the program's /server command. The format for lines in the list is:

    hostname [:portno[:password[:nick]]]

-l filename
    Selects a different file to be used as the .ircrc file for ircII. There is no exansion of $ expandos when using this option. The default is $HOME/.ircrc.

-L filename
    Selects a different file to be used as the .ircrc file for ircII. Expansion of $ expandos happens with this option. The default is $HOME/.ircrc.

-a  This adds the normal irc server list to the command line list of irc servers.

-v  Print the version and release date of ircII and exit.

-q  Start up irc quickly -- don't load the IRCRC file.

DETAILED DESCRIPTION

  The Screen:
The screen is split into two parts, separated by an inverse-video status line (if supported). The upper (larger) part of the screen displays responses from the IRC server. The lower part of the screen (a single line) accepts keyboard input.

Some terminals do not support certain features required by ircII, in which case you receive a message stating this. If this occurs, try changing the terminal type or run ircII with the -d option.

  Irc Commands:
Any line beginning with the slash character '/' is regarded as an ircII command (the command character may be changed; type '/help set cmdchar'). Any line not beginning with this character is treated as a message to be sent to the current channel. To produce a listing of commands, type '/help ?'. To receive information about the commands type '/help <command> '.

  The .ircrc File:
When ircII is executed, it checks the user's home directory for a .ircrc file, executing the commands in the file. Commands in this file do not need to have a leading slash character '/' This allows predefinition of aliases and other features.

EXAMPLES

irc -c 128 -p 5555
    Connect IRC to port number 5555 of the default host and enter on channel number 128.

irc Mermaid
    Use the nickname "Mermaid".

irc Mermaid server1:5000 server2::passwd server3
    Use the nickname "Mermaid" and the modified server list.

irc -d
    Use dumb mode.

irc -f
    Allow use of ^S/^Q to stop/start screen display.

irc -e elisa
    Interface IRC with a program called elisa.

setenv IRCNICK Mermaid
setenv IRCNAME The one and only :)

irc Set the username (if not specified elsewhere) to "Mermaid". The user's name (when provided inside parentheses in response to a WHOIS command) is set to "The one and only :)".

FILES

.../bin/ircII
    the executable program

~/.ircrc
    default initialization file

~/.irc/
    directory you can put your own ircII scripts into, that can then be loaded with /load

.../lib/irc/
    directory containing message-of-the-day, master initialization, help files and ircII scripts

THE HELP FILES
All of the ircII commands are fully described in the help files package. The best way to start here is with the /HELP ? command as this prints a listing of all available help files.

SIGNALS
ircII handles the following signals

SIGUSR1
    Closes all DCC connections and EXEC'ed processes.

SIGUSR2
    Drops ircII back to the command line.

ENVIRONMENT VARIABLES
It can be helpful to predefine certain variables in in the .cshrc, .profile, or .login file:

IRCNICK
    The user's IRC nickname.

IRCNAME
    The user's IRC realname (otherwise retreived from /etc/passwd)

IRCSERVER
    The default IRC server(s) (see server option for details)

HOME
    Overrides the default home path in /etc/passwd.

TERM
    The type of terminal in use.

SEE ALSO
irc(1), ircd(8)

BUGS
Please notify the current developer of the software of any bugs in current versions.

AUTHORS
Program written by Michael Sandrof (ms5n+@andrew.cmu.edu). Now being maintained by Matthew Green (mrg@mame.mu.oz.au) Names of contributors and contact address can be retrieved with the /info command. This manual page written by Darren Reed (avalon@coombs.anu.EDU.AU), revised by R. P. C. Rodgers (rodgers@maxwell.mmwb.ucsf.edu), by the lynX, and by Matthew Green (mrg@mame.mu.oz.au).